@import '../../../../../assets/styles/common.scss';

.equipment-modal-container {
    .grid-container {
        // height: calc(100% - 60px);

        svg {
            font-size: 28px;
            margin: 0px 6px;
        }
    }

    &-navigation {
        width: 100%;
        display: flex;
        flex-wrap: nowrap;
        flex-direction: row;
        align-items: center;

        &-export {
            &.mdl-button {
                width: 40px;
                height: 40px;
                padding: 8px;
                color: lighten($bgColor, 5);

                &:hover, &:focus {
                    color: darken($bgColor, 5);
                }

                &:active {
                    color: darken($bgColor, 10);
                }
            }
        }

        &-form {
            width: 100%;
            display: flex;
            flex-wrap: nowrap;
            flex-direction: row;
            align-items: center;
            padding-bottom: 10px;

            &-datetimepicker {
                margin-top: 20px;

                .rdt.rdtOpen .rdtPicker {

                    width: 100%;

                    .rdtDays,
                    .rdtMonths,
                    .rdtYears {
                        margin-top: 5px;
                    }
                }

                .rdt {
                    input {
                        background-position-x: calc(100% - 16px);
                    }
                }
            }
        }
    }
}
.detailed-position-grid-wrapper {
    height: calc(100% - 60px);
}

@media screen and (max-width: 768px) {
    .equipment-modal-container {
        &-navigation {
            &-form {
                padding: 0;
                flex-direction: column;
                &-line {
                    display: none;
                }
            }
        }
    }
    .detailed-position-grid-wrapper {
        height: calc(100% - 140px);
        overflow-y: auto;
    }
    .equipment-modal-container-navigation-form-datetimepicker {
        margin-top: 5px;
    }
}